Subject: Re: bug#47631: Add graphical installation and solve tons of headache

From: bo0od <[email-masked]>
Date: Thu, 15 Apr 2021 10:00:21 +0000

> Did you try the graphical installation?
 >
 >    https://guix.gnu.org/en/videos/system-graphical-installer/
 >
 > It’s key strokes rather than clicks, but I think it addresses most of
 > the issues you describe.

Yes i do know this, But whats different between what guix is doing and 
others are doing (examples i gave above), They give you access to GUI of 
their distro without internet and from within this live GUI access to 
the distro you can configure the internet/partition..etc (easily 
specially for first time users) using GUI tools without internet (you 
can even test the distro without the need to install it)

Thats what im requesting not what is currently happening.

 > Did you try the live VM image?
 >
 >    https://guix.gnu.org/en/download/

What? where?

 > I’m closing because I don’t see anything actionable.  Please file issues
 > focused on specific problems.

Guix need to improve itself when first time initiated, Please check 
other projects like NixOS,Triskel,Mint,Ubuntu...etc

If you dont like that live graphical gui access, then do it as debian is 
doing it which give you proper gui screen specifically intended to 
configure your internet then you can proceed with the installation.

Otherwise guix is useless case specially for new users in places where 
internet need to be configured manually (adding IP,Gateway,Netmask... 
manually).

Ludovic Courtès:
> Hi,
> 
> bo0od <[email-masked]> skribis:
> 
>> According to my communications on IRC i see that guix doesnt want to
>> have an offline installation, Which mean it need internet connection
>> available at the installation process.
> 
> More specifically, we cannot guarantee that an off-line installation
> would work because it depends on the software and services you’ll
> choose.
> 
>> This is fine except when user having either static-ip or using VM
>> which doesnt give readable network interface to the distro inside it
>> (falling into same category of static-ip).
>>
>> solving/giving:
>>
>> - Adding static IP and so as manually installing is not well
>>    documented and need knowledge and skills (very faraway to be handled
>>   by new users)check #47630
> 
> Right, this one’s already filed.
> 
>> - Easiness of modifying things e.g instead of using tens of commands
>>    it will be replaced with couple of clicks and for surely less typing
>> (compare gparted vs parted steps or network-manager vs ip commands and
>> so on). You can checkout many distros whos giving this opportunity
>> like nixos, trisquel/triskel, mint...etc
> 
> Did you try the graphical installation?
> 
>    https://guix.gnu.org/en/videos/system-graphical-installer/
> 
> It’s key strokes rather than clicks, but I think it addresses most of
> the issues you describe.
> 
>> - Give trial usage of the distro for the user before installing it
> 
> Did you try the live VM image?
> 
>    https://guix.gnu.org/en/download/
> 
> I’m closing because I don’t see anything actionable.  Please file issues
> focused on specific problems.
> 
> Thanks,
> Ludo’.
>